CTL_CYRUSDB(8)

NAME
ctl_cyrusdb - perform operations common to all Cyrus databases

SYNOPSIS
ctl_cyrusdb [ -C config-file ] -r [ -x ]
ctl_cyrusdb [ -C config-file ] -c

DESCRIPTION
Ctl_cyrusdb is used to perform various administrative operations on the Cyrus databases.

Ctl_cyrusdb reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C. The configdirectory option is used to determine the default location of the Cyrus databases.

OPTIONS

-C config-file
    Read configuration options from config-file.

-r  Recover the databases after an application or system failure. Also performs database cleanup like removing mailbox reservations (and any associated mailbox files).

-x  Used with -r to recover the database only. (Prevents database cleanup).

-c  Checkpoint and archive the databases. Changes to the database which are part of committed transactions are written to disk. Also, a hot backup of the databases is made and inactive log files are removed.

FILES

/etc/imapd.conf

SEE ALSO

imapd.conf(5), cyrus-master(8)